Subject: Pico and nn: cutting off long lines?

From: [email-masked] (Georg Schwarz)
Date: 6 Jan 1997 22:11:40 GMT

I'm using Pico 2.9 (because unlike many other editors it does automatic
line wrapping) as my default editor for nn 6.5.1.
Now when I'm writing an article which contains a header line longer than
255 or 256 characters (I'm not exactly sure) this line gets cut off,
meaning only the first 255 or 256 characters are imported into the editor.
Such a situation can occur for exaple for the References: line when doing
a followuop to a faily long thread. Needless to say it's not nice to have
that line being chopped off.
What can I do about it short of using a different editor? Maybe
recompiling pine? Is there any version of pine which does not have a fixed
maximum of characters per line?

What do the RFCs say about the maximum length a Usenet news or email
header line is supposed to have?
-- 
Georg Schwarz ([email-masked], [email-masked], PGP 2.6ui)
Institut für Theoretische Physik  +49 30 314-24254   FAX -21130  IRC kuroi
Technische Universität Berlin            http://home.pages.de/~schwarz/

---

From: [email-masked] (Sven Guckes)
Date: 7 Jan 1997 10:58:11 GMT

[email-masked] (Bernd Felsche):
> [...] standard vi has a wrap-margin setting.
> "set wm=10" will wrap 10 characters from the end of line -
> allowing you to be requoted ad nauseum in followups without
> the line wrapping around annoyingly.

But then you will get different results when you resize the screen/window
of Vi while it is running when the "last character" have moved position.
That's why I find VIM's "textwidth" variable so handy -
you can set an explicit and to a line.  :-)

Sven

---

From: [email-masked] (Sven Guckes)
Date: 7 Jan 1997 04:46:40 GMT

[email-masked] (David L Miller):
[pico cuts lines after byte 255]
> Actually, the long line is split onto the next line on input.
> It can handle any (?) length line on output.

Is that a question?  ;-)

> If you reassemble the line in pico, it will get written out correctly. 

Sure, you just keep in mind which lines were cut up and fix them.
Somehow I don't think this is ll become a favourite feature of PICO.

> > Pine does not have a built-in editor - it uses pico.
> Not quite correct.  Both Pine and Pico use the same libpico library, but
> they are separate programs.  It would be possible to replace libpico and
> compile Pine with a different editor, but I don't know anyone who has tried
> this... 

Maybe the kitchen-sink people have done that?
Naah - they already have turned their editor into a newsreader.

> > > What do the RFCs say about the maximum length a Usenet news
> > > or email header line is supposed to have?
> The RFCs say you need to handle 1000 characters.

Which RFC says that?  Please give a reference!

Sven  [too lazy to search himself]

---

From: Bill Wohler <[email-masked]>
Date: 8 Jan 1997 17:23:38 GMT

[email-masked] (Sven Guckes) writes:
>[email-masked] (Georg Schwarz):

>Nothing (I think). => Any length should be allowed.

  While I don't think that RFC 1036 (Usenet) mentions anything about
  header line length, RFC 821 (SMTP) limits all lines of a mail message
  to 1000 characters, including the carriage return/line-feed.  It would
  be prudent to adhere to the RFC 821 and RFC 822 standards as news
  messages are often gatewayed to mailing lists or forwarded as mail.
  In fact, RFC 1036 is explicit in this regard with RFC 822.
-- 

Bill Wohler <[email-masked]>   ph: +1-415-854-1857  fax: +1-415-854-3195
Say it with MIME.  Maintainer of comp.mail.mh and news.software.nn FAQs.
If you're passed on the right, you're in the wrong lane.

---

From: [email-masked] (Sven Guckes)
Date: 6 Jan 1997 22:56:31 GMT

[email-masked] (Georg Schwarz):
> I'm using Pico 2.9 (because [...] it does automatic line wrapping) [*] as my
> default editor for nn 6.5.1.  Now when I'm writing an article which contains
> a header line longer than 255 characters [...] this line gets cut off, so
> only the first 255 characters are imported into the editor.

Yup, that's one of PICO's MISfeatures.
See my page http://www.math.fu-berlin.de/~guckes/pico/

> Such a situation can occur for the References: line when doing a followup to
> a fairly long thread. Needless to say it's not nice to have that line being
> chopped off.  What can I do about it short of using a different editor?

There's nothing you can do about that.  Line length is limited with PICO.
The only solutions are either use another editor (emacs, vi, you name it) or
using a newsreader that does not have header editing (bah!).

> Maybe recompiling pine? Is there any version of pine
> which does not have a fixed maximum of characters per line?

Pine does not have a built-in editor - it uses pico.
Changing PINE will have no effect - it's the editor you must change!

My suggestion is to trash PICO and use a good[tm] editor - VIM, eg:
[*]  VIM does text wrapping - simple "set tw=79" in your vimrc.
My vimrc should get you started fast:
	http://www.math.fu-berlin.de/~guckes/vim/vimrc

Sven

-- 
Sven [email-masked] - VIM ("Vi IMproved")  | Available for Amiga,
VIM Latest version : VIM 4.5 - released on 961008    | Atari, DOS, Macintosh,
VIM Pages: http://www.math.fu-berlin.de/~guckes/vim/ | OS/2, UNIX, VAX, VMS,
VIM FAQ:   http://www.grafnetix.com/~laurent/vim     | Windows NT, Windows 95.

---

From: [email-masked] (Bernd Felsche)
Date: Tue, 7 Jan 1997 06:42:50 GMT

>	http://www.math.fu-berlin.de/~guckes/vim/vimrc

VIM *is* very nice. However, I should add that standard vi has a
wrap-margin setting. "set wm=10" will wrap 10 characters from the end
of line - allowing you to be requoted ad nauseum in followups without
the line wrapping around annoyingly.
-- 
Bernd Felsche {speaking for himself}
MetaPro Systems Pty Ltd, 130 Fauntleroy Avenue,
Redcliffe, Western Australia 6104
Phone: +61 9 479 3722    Fax: +61 9 479 3720

---

From: [email-masked] (Bernd Felsche)
Date: Tue, 7 Jan 1997 06:39:04 GMT

>header line is supposed to have?

AFAIK, no maximum length is specified by any RFC.

Pico is a bit stupid about line-wrapping. It should only be
wrapping the lines you type ... but that's probably too sensible.
But you never know; maybe there's an option in pico.

If pico truncates the lines as they are read in, then that is a
case of pico brain-death.
-- 
Bernd Felsche {speaking for himself}
MetaPro Systems Pty Ltd, 130 Fauntleroy Avenue,
Redcliffe, Western Australia 6104
Phone: +61 9 479 3722    Fax: +61 9 479 3720